
Foreman - Bug #11408

Plugin permissions are broken when using multiple selects

08/18/2015 04:39 PM - Stephen Benjamin

Status: Duplicate   

Priority: High   

Assignee:    

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In app/helpers/layout_helper.rb, this:

 permission = "view_#{klass.to_s.underscore.pluralize}" 

 causes problems with foreman_salt:

  ERF42-5434 [Foreman::Exception]: unknown permission view_foreman_salt/salt_environments

 Is it something I'm doing in particular in Salt that's causing this? It worked fine before this change.

Related issues:

Related to Foreman - Bug #11187: Taxonomy selectors are empty even for users ... Closed 07/22/2015

Is duplicate of Foreman - Bug #12118: AssociationAuthorizer should ask model ... Closed 10/08/2015

Associated revisions

Revision 31542caf - 08/24/2015 08:54 PM - Stephen Benjamin

refs #11408 - provide permission names for plugin models

Revision 6d7f2299 - 08/24/2015 09:17 PM - Stephen Benjamin

Merge pull request #46 from stbenjam/11408b

refs #11408 - provide permission names for plugin models

History

#1 - 08/18/2015 04:40 PM - Stephen Benjamin

- Related to Bug #11187: Taxonomy selectors are empty even for users with assign permissions added

#2 - 08/18/2015 04:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_salt/pull/45 added

- Pull request deleted ()

#3 - 08/18/2015 04:47 PM - Stephen Benjamin

- Related to Bug #11409: Removed unused taxonomix mixin added

#4 - 08/18/2015 04:49 PM - Stephen Benjamin

- Subject changed from Plugin permissions are broken to Plugin permissions are broken when using multiple selects

- Status changed from Ready For Testing to New

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman_salt/pull/45)
Ah, it's not the taxonomix mixin - It's because I'm using multiple_selects which calls this "authorized_assocations" method that had its logic changed.

#5 - 08/18/2015 04:55 PM - Stephen Benjamin

- Related to deleted (Bug #11409: Removed unused taxonomix mixin)

#6 - 08/19/2015 02:54 AM - Dominic Cleal

The idea is that you should probably alias chain the method to insert an appropriate view permission for that model.  I've been thinking that it should

perhaps have a better API, but I'm not sure what it'd look like.

#7 - 08/19/2015 08:42 AM - Stephen Benjamin

I could for now, but that doesn't seem ideal, foreman should provide an interface to get the custom permission from the klass.

Even better would be if permissions were DRYer. Magically generating the names doesn't work for plugins, and we already have a lot of this info in

action_permission in the controllers, which for the vast majority of them only deal with CRUD and a single model.  It'd be better if we'd store all this in

one place.

#8 - 08/19/2015 08:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_salt/pull/46 added

- Pull request deleted ()

#9 - 08/19/2015 08:51 AM - Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/2619 added

- Pull request deleted (https://github.com/theforeman/foreman_salt/pull/46)

#10 - 09/01/2015 04:12 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2619)

#11 - 10/14/2015 12:34 PM - Stephen Benjamin

- Is duplicate of Bug #12118: AssociationAuthorizer should ask model for alternative permission names added

#12 - 10/14/2015 12:34 PM - Stephen Benjamin

- Status changed from New to Duplicate

#12118 handles this case
